org.apache.ignite.internal

## Class GridJobExecuteRequest

- java.lang.Object
- - org.apache.ignite.internal.GridJobExecuteRequest

All Implemented Interfaces:
  Serializable, ExecutorAwareMessage, Message

    public class GridJobExecuteRequest
    extends Object
    implements ExecutorAwareMessage

Job execution request.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`GridJobExecuteRequest()` No-op constructor to support `Externalizable` interface.

`GridJobExecuteRequest(IgniteUuid sesId, IgniteUuid jobId, String taskName, String userVer, String taskClsName, byte[] jobBytes, ComputeJob job, long startTaskTime, long timeout, @Nullable Collection<UUID> top, @Nullable IgnitePredicate<ClusterNode> topPred, byte[] topPredBytes, byte[] siblingsBytes, Collection<ComputeJobSibling> siblings, byte[] sesAttrsBytes, Map<Object,Object> sesAttrs, byte[] jobAttrsBytes, Map<? extends Serializable,? extends Serializable> jobAttrs, String cpSpi, IgniteUuid clsLdrId, DeploymentMode depMode, boolean dynamicSiblings, Map<UUID,IgniteUuid> ldrParticipants, boolean forceLocDep, boolean sesFullSup, boolean internal, UUID subjId, @Nullable int[] cacheIds, int part, @Nullable AffinityTopologyVersion topVer, @Nullable String execName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `directType()` Gets message type.
`String` `executorName()`
`byte` `fieldsCount()` Gets fields count.
`int[]` `getCacheIds()`
`String` `getCheckpointSpi()`
`IgniteUuid` `getClassLoaderId()`
`long` `getCreateTime()` Gets this instance creation time.
`DeploymentMode` `getDeploymentMode()`
`ComputeJob` `getJob()`
`Map<? extends Serializable,? extends Serializable>` `getJobAttributes()`
`byte[]` `getJobAttributesBytes()`
`byte[]` `getJobBytes()`
`IgniteUuid` `getJobId()`
`Map<UUID,IgniteUuid>` `getLoaderParticipants()`
`int` `getPartition()`
`Map<Object,Object>` `getSessionAttributes()`
`byte[]` `getSessionAttributesBytes()`
`IgniteUuid` `getSessionId()`
`Collection<ComputeJobSibling>` `getSiblings()`
`byte[]` `getSiblingsBytes()`
`long` `getStartTaskTime()`
`UUID` `getSubjectId()`
`String` `getTaskClassName()`
`String` `getTaskName()`
`long` `getTimeout()`
`IgnitePredicate<ClusterNode>` `getTopologyPredicate()`
`byte[]` `getTopologyPredicateBytes()`
`AffinityTopologyVersion` `getTopVer()`
`String` `getUserVersion()`
`boolean` `isDynamicSiblings()` Returns true if siblings list is dynamic, i.e. task is continuous.
`boolean` `isForceLocalDeployment()`
`boolean` `isInternal()`
`boolean` `isSessionFullSupport()`
`void` `onAckReceived()` Method called when ack message received.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`@Nullable Collection<UUID>` `topology()`
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridJobExecuteRequest

    public GridJobExecuteRequest()

No-op constructor to support `Externalizable` interface.

#### GridJobExecuteRequest

    public GridJobExecuteRequest(IgniteUuid sesId,
                                 IgniteUuid jobId,
                                 String taskName,
                                 String userVer,
                                 String taskClsName,
                                 byte[] jobBytes,
                                 ComputeJob job,
                                 long startTaskTime,
                                 long timeout,
                                 @Nullable
                                 @Nullable Collection<UUID> top,
                                 @Nullable
                                 @Nullable IgnitePredicate<ClusterNode> topPred,
                                 byte[] topPredBytes,
                                 byte[] siblingsBytes,
                                 Collection<ComputeJobSibling> siblings,
                                 byte[] sesAttrsBytes,
                                 Map<Object,Object> sesAttrs,
                                 byte[] jobAttrsBytes,
                                 Map<? extends Serializable,? extends Serializable> jobAttrs,
                                 String cpSpi,
                                 IgniteUuid clsLdrId,
                                 DeploymentMode depMode,
                                 boolean dynamicSiblings,
                                 Map<UUID,IgniteUuid> ldrParticipants,
                                 boolean forceLocDep,
                                 boolean sesFullSup,
                                 boolean internal,
                                 UUID subjId,
                                 @Nullable
                                 @Nullable int[] cacheIds,
                                 int part,
                                 @Nullable
                                 @Nullable AffinityTopologyVersion topVer,
                                 @Nullable
                                 @Nullable String execName)

Parameters:
  `sesId` - Task session ID.
  `jobId` - Job ID.
  `taskName` - Task name.
  `userVer` - Code version.
  `taskClsName` - Fully qualified task name.
  `jobBytes` - Job serialized body.
  `job` - Job.
  `startTaskTime` - Task execution start time.
  `timeout` - Task execution timeout.
  `top` - Topology.
  `topPred` - Topology predicate.
  `topPredBytes` - Marshalled topology predicate.
  `siblingsBytes` - Serialized collection of split siblings.
  `siblings` - Collection of split siblings.
  `sesAttrsBytes` - Map of session attributes.
  `sesAttrs` - Session attributes.
  `jobAttrsBytes` - Job context attributes.
  `jobAttrs` - Job attributes.
  `cpSpi` - Collision SPI.
  `clsLdrId` - Task local class loader id.
  `depMode` - Task deployment mode.
  `dynamicSiblings` - `True` if siblings are dynamic.
  `ldrParticipants` - Other node class loader IDs that can also load classes.
  `forceLocDep` - `True` If remote node should ignore deployment settings.
  `sesFullSup` - `True` if session attributes are disabled.
  `internal` - `True` if internal job.
  `subjId` - Subject ID.
  `cacheIds` - Caches' identifiers to reserve partition.
  `part` - Partition to lock.
  `topVer` - Affinity topology version of job mapping.
  `execName` - The name of the custom named executor.

### Method Detail

#### getSessionId

    public IgniteUuid getSessionId()

Returns:
  Task session ID.

#### getJobId

    public IgniteUuid getJobId()

Returns:
  Job session ID.

#### getTaskClassName

    public String getTaskClassName()

Returns:
  Task version.

#### getTaskName

    public String getTaskName()

Returns:
  Task name.

#### getUserVersion

    public String getUserVersion()

Returns:
  Task version.

#### getJobBytes

    public byte[] getJobBytes()

Returns:
  Serialized job bytes.

#### getJob

    public ComputeJob getJob()

Returns:
  Grid job.

#### getStartTaskTime

    public long getStartTaskTime()

Returns:
  Task start time.

#### getTimeout

    public long getTimeout()

Returns:
  Timeout.

#### getCreateTime

    public long getCreateTime()

Gets this instance creation time.

Returns:
  This instance creation time.

#### getSiblingsBytes

    public byte[] getSiblingsBytes()

Returns:
  Serialized collection of split siblings.

#### getSiblings

    public Collection<ComputeJobSibling> getSiblings()

Returns:
  Job siblings.

#### getSessionAttributesBytes

    public byte[] getSessionAttributesBytes()

Returns:
  Session attributes.

#### getSessionAttributes

    public Map<Object,Object> getSessionAttributes()

Returns:
  Session attributes.

#### getJobAttributesBytes

    public byte[] getJobAttributesBytes()

Returns:
  Job attributes.

#### getJobAttributes

    public Map<? extends Serializable,? extends Serializable> getJobAttributes()

Returns:
  Job attributes.

#### getCheckpointSpi

    public String getCheckpointSpi()

Returns:
  Checkpoint SPI name.

#### getClassLoaderId

    public IgniteUuid getClassLoaderId()

Returns:
  Task local class loader id.

#### getDeploymentMode

    public DeploymentMode getDeploymentMode()

Returns:
  Deployment mode.

#### isDynamicSiblings

    public boolean isDynamicSiblings()

Returns true if siblings list is dynamic, i.e. task is continuous.

Returns:
  True if siblings list is dynamic.

#### getLoaderParticipants

    public Map<UUID,IgniteUuid> getLoaderParticipants()

Returns:
  Node class loader participant map.

#### isForceLocalDeployment

    public boolean isForceLocalDeployment()

Returns:
  Returns `true` if deployment should always be used.

#### topology

    @Nullable
    public @Nullable Collection<UUID> topology()

Returns:
  Topology.

#### getTopologyPredicate

    public IgnitePredicate<ClusterNode> getTopologyPredicate()

Returns:
  Topology predicate.

#### getTopologyPredicateBytes

    public byte[] getTopologyPredicateBytes()

Returns:
  Marshalled topology predicate.

#### isSessionFullSupport

    public boolean isSessionFullSupport()

Returns:
  `True` if session attributes are enabled.

#### isInternal

    public boolean isInternal()

Returns:
  `True` if internal job.

#### getSubjectId

    public UUID getSubjectId()

Returns:
  Subject ID.

#### getCacheIds

    public int[] getCacheIds()

Returns:
  Caches' identifiers to reserve specified partition for job execution.

#### getPartition

    public int getPartition()

Returns:
  Partitions to lock for job execution.

#### executorName

    public String executorName()

Specified by:
  `executorName` in interface `ExecutorAwareMessage`
Returns:
  Custom executor name. `null` In case the custom executor is not provided.

#### getTopVer

    public AffinityTopologyVersion getTopVer()

Returns:
  Affinity version which was used to map job

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020